<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">

<mapper namespace="com.ruoyi.demo.mapper.HouseWdDao">
    <select id="selectAndStatistics" parameterType="java.lang.String" resultType="com.ruoyi.demo.entity.TopologicalHouseWdStatisticsData">
        select people_count as totalPeopleCount,households as totalHouseholds,rent as averageRent from ddt_house_wd inner join ddt_wd_info on ddt_house_wd.wd_id = ddt_wd_info.wd_id
        <where>
            ddt_house_wd.wd_id in
            <foreach collection="list" open="(" close=")" item="item" separator=",">
                #{item}
            </foreach>
        </where>
    </select>

</mapper>

